<template>
  <div id="page-top"></div>
  <div class="header" :class="{ scroll: scrolling }">
    <div class="header-logo">
      <a href="#" style="color: black">
        <svg fill="none" height="23" width="66">
          <path
            d="M44.87 17.272a4.318 4.318 0 11.04-4.877l3.191-1.884a8.019 8.019 0 10-.017 8.613l-3.213-1.852zM53.662 0H49.96v22.206h3.7v-7.402a4.318 4.318 0 118.636 0v7.402h3.701v-8.122a7.3 7.3 0 00-12.336-5.282V0zM27.756 0h-3.701v17.271a5.551 5.551 0 009.201 4.183l-1.788-3.034a1.847 1.847 0 01-1.45.701h-.412a1.851 1.851 0 01-1.85-1.85v-6.168h3.7V7.402h-3.7V0zM19.74 0a2.056 2.056 0 100 4.112 2.056 2.056 0 000-4.112zM21.59 22.206V7.402h-3.7v14.804h3.7z"
            fill="currentColor"
          ></path>
          <path
            clip-rule="evenodd"
            d="M0 22.206h3.7v-4.318h3.393A8.944 8.944 0 107.093 0H0v22.206zM3.7 3.7h3.393a5.243 5.243 0 010 10.486H3.701V3.7z"
            fill-rule="evenodd"
            fill="currentColor"
          ></path>
        </svg>
      </a>
    </div>
    <div class="nav">
      <p>Product</p>
      <p>Presentations</p>
      <p>Templates</p>
      <p>Pricing</p>
      <p>Company</p>
      <p>Jobs</p>
    </div>

    <div class="buttons">
      <button id="sign-in">Sign In</button>
      <button id="try-free">Try for free</button>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      scrolling: false,
    };
  },
  methods: {
    addShadowOnScroll() {
      if (window.scrollY >= 10) {
        this.scrolling = true;
      }

      if (window.scrollY <= 10) {
        this.scrolling = false;
      }
    },
  },
  mounted() {
    document.onscroll = this.addShadowOnScroll;
  },
};
</script>

<style scoped>
.page-top {
  top: 0;
  width: 100%;
  height: 0;
  left: 0;
}
.header {
  display: grid;
  grid-template-columns: 15% auto 24%;
  height: 75px;
  align-items: center;
  background: white;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 100;
  transition-duration: 0.5s;
}

.scroll {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.header-logo {
  margin-left: 28px;
  justify-self: flex-start;
}

.nav {
  display: flex;
  align-items: center;
  justify-content: center;
}

.nav p {
  font-weight: 400;
  font-size: 1.1vw;
  margin: 0px 20px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

.nav p:hover {
  color: blue;
  cursor: pointer;
}

.buttons {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-right: 18px;
  font-size: calc(0.5em + 0.6vw);
}

.buttons #sign-in {
  border: 1px solid blue;
  border-radius: 10px;
  font-weight: bold;
  color: blue;
  padding: 10px 20px;
  transition-duration: 0.2s;
  background: linear-gradient(45deg, #5560ff, #6d2ed3);
  background-clip: text;
  -webkit-text-fill-color: transparent;
}

.buttons #sign-in:hover {
  color: white;
  background: linear-gradient(45deg, #5560ff, #6d2ed3);
  cursor: pointer;
  -webkit-text-fill-color: white;
}

.buttons #try-free {
  margin: 0px 10px;
  border: 1px solid blue;
  border-radius: 10px;
  background: linear-gradient(45deg, #5560ff, #6d2ed3);
  color: white;
  /* font-size: calc(0.5em + 0.6vw); */
  font-weight: bold;
  padding: 10px 20px;
}

.buttons #try-free:hover {
  opacity: 0.9;
  cursor: pointer;
}

/* Responsive */
@media only screen and (max-width: 980px) {
  .nav {
    display: none;
  }
  .header {
    display: grid;
    grid-template-columns: auto auto;
    width: 100%;
  }
}
</style>